------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Tree_View_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Tree_View_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Tree_Views is

   function allColumnsShowFocus_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, allColumnsShowFocus_0_wrapper,
                     "__Qt4Ada_QTreeView_allColumnsShowFocus_0_wrapper");

   function columnAt_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     X : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, columnAt_0_wrapper,
                     "__Qt4Ada_QTreeView_columnAt_0_wrapper");

   function columnViewportPosition_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, columnViewportPosition_0_wrapper,
                     "__Qt4Ada_QTreeView_columnViewportPosition_0_wrapper");

   function columnWidth_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer;
   pragma Import (C, columnWidth_0_wrapper,
                     "__Qt4Ada_QTreeView_columnWidth_0_wrapper");

   function indentation_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, indentation_0_wrapper,
                     "__Qt4Ada_QTreeView_indentation_0_wrapper");

   procedure indexAbove_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : not null access constant Qt4.Model_Indices.Internals.QModelIndex;
     Returns : not null access Qt4.Model_Indices.Internals.QModelIndex);
   pragma Import (C, indexAbove_0_wrapper,
                     "__Qt4Ada_QTreeView_indexAbove_0_wrapper");

   procedure indexBelow_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : not null access constant Qt4.Model_Indices.Internals.QModelIndex;
     Returns : not null access Qt4.Model_Indices.Internals.QModelIndex);
   pragma Import (C, indexBelow_0_wrapper,
                     "__Qt4Ada_QTreeView_indexBelow_0_wrapper");

   function isAnimated_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isAnimated_0_wrapper,
                     "__Qt4Ada_QTreeView_isAnimated_0_wrapper");

   function isColumnHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer)
       return Qt4.bool;
   pragma Import (C, isColumnHidden_0_wrapper,
                     "__Qt4Ada_QTreeView_isColumnHidden_0_wrapper");

   function isExpanded_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : not null access constant Qt4.Model_Indices.Internals.QModelIndex)
       return Qt4.bool;
   pragma Import (C, isExpanded_0_wrapper,
                     "__Qt4Ada_QTreeView_isExpanded_0_wrapper");

   function isRowHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Index : not null access constant Qt4.Model_Indices.Internals.QModelIndex)
       return Qt4.bool;
   pragma Import (C, isRowHidden_0_wrapper,
                     "__Qt4Ada_QTreeView_isRowHidden_0_wrapper");

   function isSortingEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isSortingEnabled_0_wrapper,
                     "__Qt4Ada_QTreeView_isSortingEnabled_0_wrapper");

   function itemsExpandable_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, itemsExpandable_0_wrapper,
                     "__Qt4Ada_QTreeView_itemsExpandable_0_wrapper");

   function rootIsDecorated_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, rootIsDecorated_0_wrapper,
                     "__Qt4Ada_QTreeView_rootIsDecorated_0_wrapper");

   procedure setAllColumnsShowFocus_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setAllColumnsShowFocus_0_wrapper,
                     "__Qt4Ada_QTreeView_setAllColumnsShowFocus_0_wrapper");

   procedure setAnimated_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setAnimated_0_wrapper,
                     "__Qt4Ada_QTreeView_setAnimated_0_wrapper");

   procedure setColumnHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer;
     Hide : Qt4.bool);
   pragma Import (C, setColumnHidden_0_wrapper,
                     "__Qt4Ada_QTreeView_setColumnHidden_0_wrapper");

   procedure setColumnWidth_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer;
     Width : Qt4.Q_Integer);
   pragma Import (C, setColumnWidth_0_wrapper,
                     "__Qt4Ada_QTreeView_setColumnWidth_0_wrapper");

   procedure setExpanded_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : not null access constant Qt4.Model_Indices.Internals.QModelIndex;
     Expand : Qt4.bool);
   pragma Import (C, setExpanded_0_wrapper,
                     "__Qt4Ada_QTreeView_setExpanded_0_wrapper");

   procedure setFirstColumnSpanned_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Parent : not null access constant Qt4.Model_Indices.Internals.QModelIndex;
     Span : Qt4.bool);
   pragma Import (C, setFirstColumnSpanned_0_wrapper,
                     "__Qt4Ada_QTreeView_setFirstColumnSpanned_0_wrapper");

   procedure setIndentation_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     I : Qt4.Q_Integer);
   pragma Import (C, setIndentation_0_wrapper,
                     "__Qt4Ada_QTreeView_setIndentation_0_wrapper");

   procedure setItemsExpandable_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setItemsExpandable_0_wrapper,
                     "__Qt4Ada_QTreeView_setItemsExpandable_0_wrapper");

   procedure setRootIsDecorated_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setRootIsDecorated_0_wrapper,
                     "__Qt4Ada_QTreeView_setRootIsDecorated_0_wrapper");

   procedure setRowHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Index : not null access constant Qt4.Model_Indices.Internals.QModelIndex;
     Hide : Qt4.bool);
   pragma Import (C, setRowHidden_0_wrapper,
                     "__Qt4Ada_QTreeView_setRowHidden_0_wrapper");

   procedure setSortingEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setSortingEnabled_0_wrapper,
                     "__Qt4Ada_QTreeView_setSortingEnabled_0_wrapper");

   procedure setUniformRowHeights_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Uniform : Qt4.bool);
   pragma Import (C, setUniformRowHeights_0_wrapper,
                     "__Qt4Ada_QTreeView_setUniformRowHeights_0_wrapper");

   function uniformRowHeights_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, uniformRowHeights_0_wrapper,
                     "__Qt4Ada_QTreeView_uniformRowHeights_0_wrapper");

   procedure collapse_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : not null access constant Qt4.Model_Indices.Internals.QModelIndex);
   pragma Import (C, collapse_0_wrapper,
                     "__Qt4Ada_QTreeView_collapse_0_wrapper");

   procedure collapseAll_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, collapseAll_0_wrapper,
                     "__Qt4Ada_QTreeView_collapseAll_0_wrapper");

   procedure expand_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : not null access constant Qt4.Model_Indices.Internals.QModelIndex);
   pragma Import (C, expand_0_wrapper,
                     "__Qt4Ada_QTreeView_expand_0_wrapper");

   procedure expandAll_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, expandAll_0_wrapper,
                     "__Qt4Ada_QTreeView_expandAll_0_wrapper");

   procedure hideColumn_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer);
   pragma Import (C, hideColumn_0_wrapper,
                     "__Qt4Ada_QTreeView_hideColumn_0_wrapper");

   procedure resizeColumnToContents_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer);
   pragma Import (C, resizeColumnToContents_0_wrapper,
                     "__Qt4Ada_QTreeView_resizeColumnToContents_0_wrapper");

   procedure showColumn_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer);
   pragma Import (C, showColumn_0_wrapper,
                     "__Qt4Ada_QTreeView_showColumn_0_wrapper");

   pragma Style_Checks ("N");

   ----------------------------
   -- All_Columns_Show_Focus --
   ----------------------------

   function All_Columns_Show_Focus
    (Self : not null access constant Q_Tree_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (allColumnsShowFocus_0_wrapper
           (Self.QObject_View));
   end All_Columns_Show_Focus;

   ---------------
   -- Column_At --
   ---------------

   function Column_At
    (Self : not null access constant Q_Tree_View'Class;
     X : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        columnAt_0_wrapper
         (Self.QObject_View,
          X);
   end Column_At;

   ------------------------------
   -- Column_Viewport_Position --
   ------------------------------

   function Column_Viewport_Position
    (Self : not null access constant Q_Tree_View'Class;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        columnViewportPosition_0_wrapper
         (Self.QObject_View,
          Column);
   end Column_Viewport_Position;

   ------------------
   -- Column_Width --
   ------------------

   function Column_Width
    (Self : not null access constant Q_Tree_View'Class;
     Column : Qt4.Q_Integer)
       return Qt4.Q_Integer
   is
   begin
      return
        columnWidth_0_wrapper
         (Self.QObject_View,
          Column);
   end Column_Width;

   -----------------
   -- Indentation --
   -----------------

   function Indentation
    (Self : not null access constant Q_Tree_View'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        indentation_0_wrapper
         (Self.QObject_View);
   end Indentation;

   -----------------
   -- Index_Above --
   -----------------

   function Index_Above
    (Self : not null access constant Q_Tree_View'Class;
     Index : Qt4.Model_Indices.Q_Model_Index)
       return Qt4.Model_Indices.Q_Model_Index
   is
      Returns : Qt4.Model_Indices.Q_Model_Index;

   begin
      indexAbove_0_wrapper
       (Self.QObject_View,
        Qt4.Model_Indices.Internals.QModelIndex_View (Index),
        Qt4.Model_Indices.Internals.QModelIndex_View (Returns));

      return Returns;
   end Index_Above;

   -----------------
   -- Index_Below --
   -----------------

   function Index_Below
    (Self : not null access constant Q_Tree_View'Class;
     Index : Qt4.Model_Indices.Q_Model_Index)
       return Qt4.Model_Indices.Q_Model_Index
   is
      Returns : Qt4.Model_Indices.Q_Model_Index;

   begin
      indexBelow_0_wrapper
       (Self.QObject_View,
        Qt4.Model_Indices.Internals.QModelIndex_View (Index),
        Qt4.Model_Indices.Internals.QModelIndex_View (Returns));

      return Returns;
   end Index_Below;

   -----------------
   -- Is_Animated --
   -----------------

   function Is_Animated
    (Self : not null access constant Q_Tree_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isAnimated_0_wrapper
           (Self.QObject_View));
   end Is_Animated;

   ----------------------
   -- Is_Column_Hidden --
   ----------------------

   function Is_Column_Hidden
    (Self : not null access constant Q_Tree_View'Class;
     Column : Qt4.Q_Integer)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isColumnHidden_0_wrapper
           (Self.QObject_View,
            Column));
   end Is_Column_Hidden;

   -----------------
   -- Is_Expanded --
   -----------------

   function Is_Expanded
    (Self : not null access constant Q_Tree_View'Class;
     Index : Qt4.Model_Indices.Q_Model_Index)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isExpanded_0_wrapper
           (Self.QObject_View,
            Qt4.Model_Indices.Internals.QModelIndex_View (Index)));
   end Is_Expanded;

   -------------------
   -- Is_Row_Hidden --
   -------------------

   function Is_Row_Hidden
    (Self : not null access constant Q_Tree_View'Class;
     Row : Qt4.Q_Integer;
     Index : Qt4.Model_Indices.Q_Model_Index)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isRowHidden_0_wrapper
           (Self.QObject_View,
            Row,
            Qt4.Model_Indices.Internals.QModelIndex_View (Index)));
   end Is_Row_Hidden;

   ------------------------
   -- Is_Sorting_Enabled --
   ------------------------

   function Is_Sorting_Enabled
    (Self : not null access constant Q_Tree_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isSortingEnabled_0_wrapper
           (Self.QObject_View));
   end Is_Sorting_Enabled;

   ----------------------
   -- Items_Expandable --
   ----------------------

   function Items_Expandable
    (Self : not null access constant Q_Tree_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (itemsExpandable_0_wrapper
           (Self.QObject_View));
   end Items_Expandable;

   -----------------------
   -- Root_Is_Decorated --
   -----------------------

   function Root_Is_Decorated
    (Self : not null access constant Q_Tree_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (rootIsDecorated_0_wrapper
           (Self.QObject_View));
   end Root_Is_Decorated;

   --------------------------------
   -- Set_All_Columns_Show_Focus --
   --------------------------------

   procedure Set_All_Columns_Show_Focus
    (Self : not null access Q_Tree_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setAllColumnsShowFocus_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_All_Columns_Show_Focus;

   ------------------
   -- Set_Animated --
   ------------------

   procedure Set_Animated
    (Self : not null access Q_Tree_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setAnimated_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Animated;

   -----------------------
   -- Set_Column_Hidden --
   -----------------------

   procedure Set_Column_Hidden
    (Self : not null access Q_Tree_View'Class;
     Column : Qt4.Q_Integer;
     Hide : Standard.Boolean)
   is
   begin
      setColumnHidden_0_wrapper
       (Self.QObject_View,
        Column,
        Qt4.To_bool (Hide));
   end Set_Column_Hidden;

   ----------------------
   -- Set_Column_Width --
   ----------------------

   procedure Set_Column_Width
    (Self : not null access Q_Tree_View'Class;
     Column : Qt4.Q_Integer;
     Width : Qt4.Q_Integer)
   is
   begin
      setColumnWidth_0_wrapper
       (Self.QObject_View,
        Column,
        Width);
   end Set_Column_Width;

   ------------------
   -- Set_Expanded --
   ------------------

   procedure Set_Expanded
    (Self : not null access Q_Tree_View'Class;
     Index : Qt4.Model_Indices.Q_Model_Index;
     Expand : Standard.Boolean)
   is
   begin
      setExpanded_0_wrapper
       (Self.QObject_View,
        Qt4.Model_Indices.Internals.QModelIndex_View (Index),
        Qt4.To_bool (Expand));
   end Set_Expanded;

   ------------------------------
   -- Set_First_Column_Spanned --
   ------------------------------

   procedure Set_First_Column_Spanned
    (Self : not null access Q_Tree_View'Class;
     Row : Qt4.Q_Integer;
     Parent : Qt4.Model_Indices.Q_Model_Index;
     Span : Standard.Boolean)
   is
   begin
      setFirstColumnSpanned_0_wrapper
       (Self.QObject_View,
        Row,
        Qt4.Model_Indices.Internals.QModelIndex_View (Parent),
        Qt4.To_bool (Span));
   end Set_First_Column_Spanned;

   ---------------------
   -- Set_Indentation --
   ---------------------

   procedure Set_Indentation
    (Self : not null access Q_Tree_View'Class;
     I : Qt4.Q_Integer)
   is
   begin
      setIndentation_0_wrapper
       (Self.QObject_View,
        I);
   end Set_Indentation;

   --------------------------
   -- Set_Items_Expandable --
   --------------------------

   procedure Set_Items_Expandable
    (Self : not null access Q_Tree_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setItemsExpandable_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Items_Expandable;

   ---------------------------
   -- Set_Root_Is_Decorated --
   ---------------------------

   procedure Set_Root_Is_Decorated
    (Self : not null access Q_Tree_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setRootIsDecorated_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Root_Is_Decorated;

   --------------------
   -- Set_Row_Hidden --
   --------------------

   procedure Set_Row_Hidden
    (Self : not null access Q_Tree_View'Class;
     Row : Qt4.Q_Integer;
     Index : Qt4.Model_Indices.Q_Model_Index;
     Hide : Standard.Boolean)
   is
   begin
      setRowHidden_0_wrapper
       (Self.QObject_View,
        Row,
        Qt4.Model_Indices.Internals.QModelIndex_View (Index),
        Qt4.To_bool (Hide));
   end Set_Row_Hidden;

   -------------------------
   -- Set_Sorting_Enabled --
   -------------------------

   procedure Set_Sorting_Enabled
    (Self : not null access Q_Tree_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setSortingEnabled_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Sorting_Enabled;

   -----------------------------
   -- Set_Uniform_Row_Heights --
   -----------------------------

   procedure Set_Uniform_Row_Heights
    (Self : not null access Q_Tree_View'Class;
     Uniform : Standard.Boolean)
   is
   begin
      setUniformRowHeights_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Uniform));
   end Set_Uniform_Row_Heights;

   -------------------------
   -- Uniform_Row_Heights --
   -------------------------

   function Uniform_Row_Heights
    (Self : not null access Q_Tree_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (uniformRowHeights_0_wrapper
           (Self.QObject_View));
   end Uniform_Row_Heights;

   --------------
   -- Collapse --
   --------------

   procedure Collapse
    (Self : not null access Q_Tree_View'Class;
     Index : Qt4.Model_Indices.Q_Model_Index)
   is
   begin
      collapse_0_wrapper
       (Self.QObject_View,
        Qt4.Model_Indices.Internals.QModelIndex_View (Index));
   end Collapse;

   ------------------
   -- Collapse_All --
   ------------------

   procedure Collapse_All
    (Self : not null access Q_Tree_View'Class)
   is
   begin
      collapseAll_0_wrapper
       (Self.QObject_View);
   end Collapse_All;

   ------------
   -- Expand --
   ------------

   procedure Expand
    (Self : not null access Q_Tree_View'Class;
     Index : Qt4.Model_Indices.Q_Model_Index)
   is
   begin
      expand_0_wrapper
       (Self.QObject_View,
        Qt4.Model_Indices.Internals.QModelIndex_View (Index));
   end Expand;

   ----------------
   -- Expand_All --
   ----------------

   procedure Expand_All
    (Self : not null access Q_Tree_View'Class)
   is
   begin
      expandAll_0_wrapper
       (Self.QObject_View);
   end Expand_All;

   -----------------
   -- Hide_Column --
   -----------------

   procedure Hide_Column
    (Self : not null access Q_Tree_View'Class;
     Column : Qt4.Q_Integer)
   is
   begin
      hideColumn_0_wrapper
       (Self.QObject_View,
        Column);
   end Hide_Column;

   -------------------------------
   -- Resize_Column_To_Contents --
   -------------------------------

   procedure Resize_Column_To_Contents
    (Self : not null access Q_Tree_View'Class;
     Column : Qt4.Q_Integer)
   is
   begin
      resizeColumnToContents_0_wrapper
       (Self.QObject_View,
        Column);
   end Resize_Column_To_Contents;

   -----------------
   -- Show_Column --
   -----------------

   procedure Show_Column
    (Self : not null access Q_Tree_View'Class;
     Column : Qt4.Q_Integer)
   is
   begin
      showColumn_0_wrapper
       (Self.QObject_View,
        Column);
   end Show_Column;

end Qt4.Tree_Views;
